﻿package model

import (
	"time"
)

type CommCoupon struct {
	Id               int       `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	IsUse            int       `json:"is_use" xorm:"not null comment('是否开启（否：0；是：1）') TINYINT(1)"`
	ExchangeRatio    string    `json:"exchange_ratio" xorm:"not null default 0.00 comment('兑换比例(与金额)') DECIMAL(5,2)"`
	BonusType        string    `json:"bonus_type" xorm:"not null default '' comment('渠道（json（[]string））') VARCHAR(255)"`
	BuyType          int       `json:"buy_type" xorm:"not null default 0 comment('购买类型（1固定+自定义，2固定金额，3自定义金额）') TINYINT(1)"`
	FixedAmountValue string    `json:"fixed_amount_value" xorm:"not null comment('固定金额设置内容（json）') TEXT"`
	CreateAt         time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt         time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
	RefundTime       int       `json:"refund_time" xorm:"default 0 comment('回退时间点 单位：分钟') INT(11)"`
}
